/* 
   Http header handler for "Content-Range"
   Copyright (C) 2003-2004, Lei Jiang <sledge10@hotmail.com>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA

   $Id: HandlerCRange.h,v 1.2 2005/01/12 02:34:42 jiang_lei Exp $
*/

#ifndef ONION_HEADER_HANDLERCRANGE_H
#define ONION_HEADER_HANDLERCRANGE_H 1

#include <onion/OnionCfg.h>
#include <onion/ResponseHeaderHandler.h>

class CHandlerCRange : public CResponseHeaderHandler
{
 public:
  CHandlerCRange(OICRANGE* pCRange);
  ~CHandlerCRange();
  virtual OI_RESULT Execute(CDavRequest* pReq, OI_STRLIST_A& vecValues);
  virtual const char* GetHeaderName();
 private:
  OICRANGE* m_pCRange;
};

#endif /*ONION_HEADER_HANDLERCRANGE_H*/
