/* 
   Response body consumer which bypasses all data
   Copyright (C) 2003-2004, Lei Jiang <sledge10@hotmail.com>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA

   $Id: PBCSMDummy.h,v 1.1.1.1 2004/07/15 06:58:44 jiang_lei Exp $
*/


#ifndef ONION_HEADER_PBCSMDUMMY_H
#define ONION_HEADER_PBCSMDUMMY_H 1

#include <onion/OnionCfg.h>
#include <onion/ResponseBodyConsumer.h>

class CPBCSMDummy : public CResponseBodyConsumer
{
 public:
  CPBCSMDummy(CDavRequest* pReq);
  virtual ~CPBCSMDummy();

  virtual void Close();
  virtual OI_RESULT Open();
  virtual OI_PBC_TYPE GetType();
  virtual OI_RESULT PullResponseBody(CDavResponseBody* pBody);
};

#endif /*ONION_HEADER_PBCSMDUMMY_H*/
