/* 
   Input source needed by XML parser
   Copyright (C) 2003-2004, Lei Jiang <sledge10@hotmail.com>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA

   $Id: DavXmlInputSource.h,v 1.1.1.1 2004/07/15 06:58:46 jiang_lei Exp $
*/

#ifndef ONION_HEADER_DAVXMLINPUTSOURCE_H
#define ONION_HEADER_DAVXMLINPUTSOURCE_H 1

#include <onion/OnionCfg.h>
#include <xercesc/sax/InputSource.hpp>

//forward declaration
class CDavResponseBody;

class CDavXmlInputSource : public XNS(InputSource)
{
 public: 
  CDavXmlInputSource(CDavResponseBody* pBody);
  ~CDavXmlInputSource();

  virtual XNS(BinInputStream)* makeStream() const;
 private:
  CDavResponseBody* m_pBody;
};

#endif /*ONION_HEADER_DAVXMLINPUTSOURCE_H*/
