/* 
   Prototype of http response header handler
   Copyright (C) 2003-2004, Lei Jiang <sledge10@hotmail.com>
   Copyright (C) 1999-2002, Joe Orton <joe@manyfish.co.uk>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA

   $Id: ResponseHeaderHandler.h,v 1.3 2005/01/12 02:34:42 jiang_lei Exp $
*/


#ifndef ONION_HEADER_RESPONSEHEADERHANDLER_H
#define ONION_HEADER_RESPONSEHEADERHANDLER_H 1

#include <onion/OnionCfg.h>
#include <onion/DavRequest.h>

class CResponseHeaderHandler
{
 public:
  CResponseHeaderHandler(void);
  virtual ~CResponseHeaderHandler(void);
  virtual OI_RESULT Execute(CDavRequest* pReq, OI_STRLIST_A& vecValues);
  virtual const char* GetHeaderName() = 0;
};

#endif /*ONION_HEADER_RESPONSEHEADERHANDLER_H*/
